Advanced search  

News:

cpg1.5.46 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter recently discovered vulnerabilities. It is important that all users who run version cpg1.5.44 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: 'Fatal error' lors d'une mise à jour 1.3.2 -> 1.4.4  (Read 3813 times)

0 Members and 1 Guest are viewing this topic.

belokan

  • Coppermine newbie
  • Offline Offline
  • Posts: 14
'Fatal error' lors d'une mise à jour 1.3.2 -> 1.4.4
« on: March 31, 2006, 12:39:15 pm »

Bonjour,

J'ai essayé de mettre à jour ma version de Coppermine (1.3.2 je crois) avec la 1.4.3.
J'ai bien suivi les indications dans l'aide avant de transférer les nouveaux fichiers.
Je vais à l'adresse de mon site ..../update.php et tout semble bien se passer : je vois une liste de modification de table avec des OK verts ou bien parfois des Already Done, et tout en bas j'ai un Upgrade completed.

Ensuite, je tente de "checker" les fichiers et j'arrive sur une page ou il y a juste un Fatal error !!
Si je veux aller à la page d'acceuil, même chose !


Je ne vois pas quoi faire !!!
J'ai eu beau chercher sur le forum anglais et français mais aucun problème similaire. A titre d'info, mes tables existantes chez free sont intitulées cpg132_albums, cpg132_banned, cpg132_bridge, ...
Ma base de données s'intitule ciaobelo (donc aucun caractères spéciaux !)

Je vous remercie d'avance pour votre aide ...  ;)
« Last Edit: April 02, 2006, 12:45:07 pm by Titooy »
Logged

belokan

  • Coppermine newbie
  • Offline Offline
  • Posts: 14
Re: 'Fatal error' lors d'une mise à jour 1.3.2 -> 1.4.4
« Reply #1 on: March 31, 2006, 12:40:33 pm »

Bonjour,

avez vous lu ce post ?
http://forum.coppermine-gallery.net/index.php?topic=24876.0
Au fait la dernière version est la 1.4.4
La prochaine fois, commencez un nouveau sujet, le problème n'est pas le même que celui qui précède à priori.
Essayez d'activer le mode debug (phpmyadmin, table config, mode debug=1) pour avoir le message d'erreur
Logged

belokan

  • Coppermine newbie
  • Offline Offline
  • Posts: 14
Re: 'Fatal error' lors d'une mise à jour 1.3.2 -> 1.4.4
« Reply #2 on: March 31, 2006, 12:41:13 pm »

Merci beaucoup Frantz, ma solution était dans ton lien.
Pour une raison qui me dépasse, le nom du serveur de ma bdd était localhost alors que j'avais pris soin de sauvegarder l'ancien config.inc.php !
Bref, le principal, c'est que ça soit résolu !  ;D

Une petite chose, la version 1.4.4 ne gère pas les caractères spéciaux (é, ç, è, ...) parce que j'ai des ? à la place de ces caractères. Une mauvaise configuration de ma part ?


EDIT : finalement, j'ai aussi un autre problème ! L'affichage des vignettes s'affiche sans problème, mais lorsque je clic dessus pour afficher en plus grand, je reçois ce type d'erreur : "Fatal error: read_entry(): Failed opening required 'makers/canon.php' (include_path='/var/www/sdb/3/6/ciaobelo/include:.') in /var/www/sdb/3/6/ciaobelo/include/exif.php on line 612" !! Une tite idée ?
Logged

belokan

  • Coppermine newbie
  • Offline Offline
  • Posts: 14
Re: 'Fatal error' lors d'une mise à jour 1.3.2 -> 1.4.4
« Reply #3 on: March 31, 2006, 01:43:08 pm »

Pour le problème des caractères spéciaux, j'ai bien essayé la méthode de Titooy, mais le script me dit ceci :
"Your site is already configured to use utf-8. You don't need this script and should leave this page."

JE pense donc que le problème est ailleurs ... mais où est-il ?  ;D


EDIT : Finalement, après avoir remplacé tous les fichiers, ça remarche !

Reste juste le problème descaractères spéciaux ???
« Last Edit: April 01, 2006, 02:59:20 pm by belokan »
Logged

Titooy

  • VIP
  • Coppermine addict
  • ***
  • Offline Offline
  • Posts: 736
    • under construction...
Re: 'Fatal error' lors d'une mise à jour 1.3.2 -> 1.4.4
« Reply #4 on: April 01, 2006, 01:18:43 am »

Faut passer à la 2e version. Free n'a pas iconv.
Logged

belokan

  • Coppermine newbie
  • Offline Offline
  • Posts: 14
Re: 'Fatal error' lors d'une mise à jour 1.3.2 -> 1.4.4
« Reply #5 on: April 01, 2006, 03:06:17 pm »

Faut passer à la 2e version. Free n'a pas iconv.

Nikel, c'était bien cela.

Merci beaucoup pour ton aide ...  ;)
Logged
Pages: [1]   Go Up
 

Page created in 0.016 seconds with 20 queries.